<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.135.8.10.119
Name: Diagnosis Section (2A)
Description: In dieser Section werden die  Diagnosen  zur Begründung Krankenhausbehandlung untergebracht.  
                 Die Notwendigkeit der stationären Krankenhausbehandlung ist auf dem Verordnungsformular zu dokumentieren. Hierzu gehören die Angabe der Hauptdiagnose, der Nebendiagnosen und die Gründe für die stationäre Behandlung. 
                     Die Begründung soll sich aus der Angabe der Diagnose ergeben. Soweit sich bereits aus der Diagnose oder den Symptomen regelmäßig die Notwendigkeit der Einweisung ergibt, genügt deren Angabe. Z.B. erübrigt sich bei der Diagnose „akute Appendizitis“ eine weitere Begründung.   
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.135.8.10.119-2019-07-18T095309">
   <title>Diagnosis Section (2A)</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.119
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]]
Item: (DiagnosisSection_2A)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.119
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]
Item: (DiagnosisSection_2A)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]"
         id="d20e2325-false-d5769e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.119-2019-07-18T095309.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(DiagnosisSection_2A): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.119-2019-07-18T095309.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(DiagnosisSection_2A): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.119-2019-07-18T095309.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']) &gt;= 1">(DiagnosisSection_2A): Element hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.119-2019-07-18T095309.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']) &lt;= 1">(DiagnosisSection_2A): Element hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.119-2019-07-18T095309.html"
              test="count(hl7:code[(@code = 'DIAGNOSIS' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]) &lt;= 1">(DiagnosisSection_2A): Element hl7:code[(@code = 'DIAGNOSIS' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.119-2019-07-18T095309.html"
              test="count(hl7:title) &lt;= 1">(DiagnosisSection_2A): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.119-2019-07-18T095309.html"
              test="count(hl7:entry) &lt;= 5">(DiagnosisSection_2A): Element hl7:entry kommt zu häufig vor [max 5x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.119
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]/hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']
Item: (DiagnosisSection_2A)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]/hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']"
         id="d20e2331-false-d5819e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.119-2019-07-18T095309.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DiagnosisSection_2A): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.119-2019-07-18T095309.html"
              test="string(@root) = ('1.2.276.0.76.3.1.135.8.10.119')">(DiagnosisSection_2A): Der Wert von root MUSS '1.2.276.0.76.3.1.135.8.10.119' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.119
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]/hl7:code[(@code = 'DIAGNOSIS' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]
Item: (DiagnosisSection_2A)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]/hl7:code[(@code = 'DIAGNOSIS' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]"
         id="d20e2336-false-d5834e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.119-2019-07-18T095309.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DiagnosisSection_2A): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.119-2019-07-18T095309.html"
              test="@nullFlavor or (@code='DIAGNOSIS' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')">(DiagnosisSection_2A): Der Elementinhalt MUSS einer von 'code 'DIAGNOSIS' codeSystem '1.2.276.0.76.3.1.135.8.5.99'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.119
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]/hl7:title
Item: (DiagnosisSection_2A)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]/hl7:title"
         id="d20e2341-false-d5850e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.119-2019-07-18T095309.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DiagnosisSection_2A): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.119-2019-07-18T095309.html"
              test="text()='Diagnosen/Begründung'">(DiagnosisSection_2A): Der Elementinhalt von 'hl7:title' MUSS ''Diagnosen/Begründung'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.119
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]/hl7:entry
Item: (DiagnosisSection_2A)
-->
</pattern>
